

#ifdef ENC7400_EXPORTS
#define ENC7400_API __declspec(dllexport)
#else
#define ENC7400_API __declspec(dllimport)
#endif


ENC7400_API WORD WINAPI  Enc7400_Board_Init(void);
ENC7400_API void WINAPI  Enc7400_Close(void);


ENC7400_API WORD WINAPI  Enc7400_Write_Port(WORD portno , WORD portstatus);
ENC7400_API WORD WINAPI  Enc7400_Read_Port(WORD portno);
ENC7400_API void WINAPI  Enc7400_Port_Init(WORD cardno,WORD portmode);

ENC7400_API long WINAPI  Enc7400_Get_LatchValue(WORD axis);
ENC7400_API long WINAPI  Enc7400_Get_Encoder(WORD axis);
ENC7400_API void  WINAPI Enc7400_Set_Encoder(WORD axis,long pos);
ENC7400_API void WINAPI  Enc7400_Count_Config(WORD axis,WORD cnt_mode) ;

ENC7400_API WORD WINAPI  Enc7400_Read_EZ(WORD cardno);
ENC7400_API void WINAPI  Enc7400_Set_EZ_Logic(WORD axis,WORD cls_enable);
ENC7400_API void WINAPI Enc7400_Set_Triger_Logic(WORD cardno,WORD triger_logic);


ENC7400_API WORD WINAPI  Enc7400_Read_Flag(WORD axis);

ENC7400_API void WINAPI Enc7400_Triger_Reset(WORD axis) ;

